#ifndef FFT_THREAD
#define FFT_THREAD


#include <QtGui>
#include "my_signal.h"


class FftThread : public QThread{
	Q_OBJECT
	
	private:
		Signal src;
		Signal imag;
		Signal real;
		Signal pow;
	
	public:
		FftThread(Signal & sig, QObject * parent = 0);
		virtual ~FftThread();
		
		Signal getImag();
		Signal getReal();
		Signal getPow();
		
	protected:
		void run();
	
};


#endif
